Bug 202690 - CVE-2006-2193 tiff2pdf buffer overflow
CVE-2006-2193 tiff2pdf buffer overflow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
impact=low,public=20060607,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 16:37 EDT by Mark J. Cox (Product Security)
Modified: 2013-07-02 19:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 08:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-15 16:37:51 EDT
Fix needed for FC6

+++ This bug was initially created as a clone of Bug #194363 +++

tiff2pdf buffer overflow

A buffer overflow flaw has been found in tiff2pdf.
Thomas Biege told vendor-sec about this (it came from a colleague of
his)

The code in question is as such:

char buffer[5];
...
sprintf(buffer, "\\%.3o", pdfstr[i]);


pdfstr[i] is signed char, therefore would write \37777777741


This issue also affects FC4
Comment 1 Jindrich Novy 2006-09-05 08:58:54 EDT
Fixed since libtiff-3.8.2-6.fc6.

Note You need to log in before you can comment on or make changes to this bug.